PDA

Visualizza la versione completa : [ati] compilazione modulo kernel


Francis87
11-11-2007, 23:06
Salve,
sto provando ad installare, senza successo, il driver ati 8.42.3 per x86_64.
Seguo le istruzioni di questa pagina http://wiki.cchtml.com/index.php/Debian_Installation_Guide#Method_2:_Generating.2FI nstalling_Debian_packages_from_the_ATI_installer e riesco a creare i pacchetti .deb correttamente (superando un iniziale problema con lib e lib64).

Quando si tratta di creare il modulo per il kernel (2.6.23.1) ottengo dei problemi che non riesco a risolvere. L'output di make.sh il seguente:


febian:/usr/src/modules/fglrx# ./make.sh
ATI module generator V 2.0
==========================
initializing...
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
Assuming default VMAP API
Assuming default munmap API
doing Makefile based build for kernel 2.6.x and higher
./make.sh: line 937: cd: 2.6.x: No such file or directory
make -C /lib/modules/2.6.23.1-frx-01/build SUBDIRS=/usr/src/modules/fglrx modules
make[1]: Entering directory `/usr/src/linux-2.6.23.1'
CC [M] /usr/src/modules/fglrx/firegl_public.o
/usr/src/modules/fglrx/firegl_public.c: In function ‘firegl_put_user_ptr’:
/usr/src/modules/fglrx/firegl_public.c:1620: warning: cast from pointer to integer of different size
/usr/src/modules/fglrx/firegl_public.c:1620: warning: cast from pointer to integer of different size
/usr/src/modules/fglrx/firegl_public.c:1620: warning: cast from pointer to integer of different size
/usr/src/modules/fglrx/firegl_public.c:1620: warning: cast from pointer to integer of different size
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_check_pci’:
/usr/src/modules/fglrx/firegl_public.c:1990: warning: ‘pci_find_slot’ is deprecated (declared at include/linux/pci.h:481)
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_pci_find_device’:
/usr/src/modules/fglrx/firegl_public.c:2019: warning: ‘pci_find_device’ is deprecated (declared at include/linux/pci.h:480)
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_vm_test_and_clear_dirty’:
/usr/src/modules/fglrx/firegl_public.c:2544: error: implicit declaration of function ‘ptep_test_and_clear_dirty’
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_pci_find_slot’:
/usr/src/modules/fglrx/firegl_public.c:2852: warning: ‘pci_find_slot’ is deprecated (declared at include/linux/pci.h:481)
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_request_irq’:
/usr/src/modules/fglrx/firegl_public.c:2962: warning: ‘deprecated_irq_flag’ is deprecated (declared at include/linux/interrupt.h:64)
/usr/src/modules/fglrx/firegl_public.c:2962: warning: passing argument 2 of ‘request_irq’ from incompatible pointer type
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_unregister_ioctl32_conversion’:
/usr/src/modules/fglrx/firegl_public.c:2985: warning: ‘return’ with a value, in function returning void
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_pte_phys_addr_str’:
/usr/src/modules/fglrx/firegl_public.c:3536: error: implicit declaration of function ‘pte_read’
/usr/src/modules/fglrx/firegl_public.c:3538: error: implicit declaration of function ‘pte_exec’
/usr/src/modules/fglrx/firegl_public.c: At top level:
/usr/src/modules/fglrx/firegl_public.c:5439: error: expected specifier-qualifier-list before ‘kmem_cache_t’
/usr/src/modules/fglrx/firegl_public.c: In function ‘KAS_SlabCache_Initialize’:
/usr/src/modules/fglrx/firegl_public.c:5478: error: ‘kasSlabCache_t’ has no member named ‘routine_type’
/usr/src/modules/fglrx/firegl_public.c:5479: error: ‘kasSlabCache_t’ has no member named ‘lock’
/usr/src/modules/fglrx/firegl_public.c:5480: error: ‘kasSlabCache_t’ has no member named ‘name’
/usr/src/modules/fglrx/firegl_public.c:5480: warning: cast from pointer to integer of different size
/usr/src/modules/fglrx/firegl_public.c:5484: error: ‘kasSlabCache_t’ has no member named ‘cache’
/usr/src/modules/fglrx/firegl_public.c:5485: error: ‘kasSlabCache_t’ has no member named ‘name’
/usr/src/modules/fglrx/firegl_public.c:5485: error: too many arguments to function ‘kmem_cache_create’
/usr/src/modules/fglrx/firegl_public.c: In function ‘KAS_SlabCache_Destroy’:
/usr/src/modules/fglrx/firegl_public.c:5508: error: ‘kasSlabCache_t’ has no member named ‘cache’
/usr/src/modules/fglrx/firegl_public.c:5518: error: ‘kasSlabCache_t’ has no member named ‘cache’
/usr/src/modules/fglrx/firegl_public.c:5520: error: ‘kasSlabCache_t’ has no member named ‘cache’
/usr/src/modules/fglrx/firegl_public.c: In function ‘KAS_SlabCache_AllocEntry’:
/usr/src/modules/fglrx/firegl_public.c:5555: error: ‘kasSlabCache_t’ has no member named ‘routine_type’
/usr/src/modules/fglrx/firegl_public.c:5556: error: ‘kasSlabCache_t’ has no member named ‘lock’
/usr/src/modules/fglrx/firegl_public.c:5580: error: ‘kasSlabCache_t’ has no member named ‘cache’
/usr/src/modules/fglrx/firegl_public.c:5583: error: ‘kasSlabCache_t’ has no member named ‘lock’
/usr/src/modules/fglrx/firegl_public.c:5591: error: ‘kasSlabCache_t’ has no member named ‘cache’
/usr/src/modules/fglrx/firegl_public.c: In function ‘KAS_SlabCache_FreeEntry’:
/usr/src/modules/fglrx/firegl_public.c:5619: error: ‘kasSlabCache_t’ has no member named ‘routine_type’
/usr/src/modules/fglrx/firegl_public.c:5620: error: ‘kasSlabCache_t’ has no member named ‘lock’
/usr/src/modules/fglrx/firegl_public.c:5632: error: ‘kasSlabCache_t’ has no member named ‘cache’
/usr/src/modules/fglrx/firegl_public.c:5635: error: ‘kasSlabCache_t’ has no member named ‘lock’
make[2]: *** [/usr/src/modules/fglrx/firegl_public.o] Error 1
make[1]: *** [_module_/usr/src/modules/fglrx] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.23.1'
make: *** [kmod_build] Error 2
build failed with return value 2

Ho provato a cercare ma non trovo soluzione.

mmbarabba
11-11-2007, 23:27
avevo letto qualcosa sul forum di ubuntu (http://forum.ubuntu-it.org/index.php?topic=132600.0) riguardo il 64
io non ho mai provato


Per sistemi a 64 bit:
In questo caso bisogna apportare questa patch (http://www.michaellarabel.com/downloads/fglrx-8.42-ubuntu+debian-2.tar.bz2) al file scaricato precedentemente,
ricordo che i due file devono giacere nella stessa cartella:
Codice: ./ati-driver-installer-8.42.3-x86.x86_64.run --extract temp
cd temp/
tar jxf ../fglrx-8.42-ubuntu+debian-2.tar.bz2 sudo
./ati-installer.sh 8.42.3 --buildpkg Ubuntu/gutsy


prova , secondo me dovrebbe funzionare

Francis87
11-11-2007, 23:45
ho provato, ma il problema con la compilazione del driver per il kernel, non la creazione dei pacchetti.

# m-a prepare
# m-a update
# m-a build fglrx
il build fallisce.

Francis87
12-11-2007, 00:10
dovrebbe esserci un problema con il kernel 2.6.23 perch con il 2.6.22.9 va tutto bene :bh:

Loading